Update sequence steps
curl --request PUT \
--url https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/steps \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"steps": [
{
"id": "<string>",
"name": "<string>",
"order": 1,
"variants": [
{
"label": "<string>",
"distributionWeight": 50,
"dynamicLanguageEnabled": true,
"emailContent": "<string>",
"emailSubject": "<string>",
"id": "<string>",
"isGenerated": true,
"order": 1,
"overdriveEnabled": true
}
],
"waitDays": 1
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
steps: [
{
id: '<string>',
name: '<string>',
order: 1,
variants: [
{
label: '<string>',
distributionWeight: 50,
dynamicLanguageEnabled: true,
emailContent: '<string>',
emailSubject: '<string>',
id: '<string>',
isGenerated: true,
order: 1,
overdriveEnabled: true
}
],
waitDays: 1
}
]
})
};
fetch('https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
steps: [
{
id: '<string>',
name: '<string>',
order: 1,
variants: [
{
label: '<string>',
distributionWeight: 50,
dynamicLanguageEnabled: true,
emailContent: '<string>',
emailSubject: '<string>',
id: '<string>',
isGenerated: true,
order: 1,
overdriveEnabled: true
}
],
waitDays: 1
}
]
})
};
fetch('https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/steps';
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
steps: [
{
id: '<string>',
name: '<string>',
order: 1,
variants: [
{
label: '<string>',
distributionWeight: 50,
dynamicLanguageEnabled: true,
emailContent: '<string>',
emailSubject: '<string>',
id: '<string>',
isGenerated: true,
order: 1,
overdriveEnabled: true
}
],
waitDays: 1
}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/steps"
payload = { "steps": [
{
"id": "<string>",
"name": "<string>",
"order": 1,
"variants": [
{
"label": "<string>",
"distributionWeight": 50,
"dynamicLanguageEnabled": True,
"emailContent": "<string>",
"emailSubject": "<string>",
"id": "<string>",
"isGenerated": True,
"order": 1,
"overdriveEnabled": True
}
],
"waitDays": 1
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/steps"
payload := strings.NewReader("{\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"order\": 1,\n \"variants\": [\n {\n \"label\": \"<string>\",\n \"distributionWeight\": 50,\n \"dynamicLanguageEnabled\": true,\n \"emailContent\": \"<string>\",\n \"emailSubject\": \"<string>\",\n \"id\": \"<string>\",\n \"isGenerated\": true,\n \"order\": 1,\n \"overdriveEnabled\": true\n }\n ],\n \"waitDays\": 1\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/steps")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"order\": 1,\n \"variants\": [\n {\n \"label\": \"<string>\",\n \"distributionWeight\": 50,\n \"dynamicLanguageEnabled\": true,\n \"emailContent\": \"<string>\",\n \"emailSubject\": \"<string>\",\n \"id\": \"<string>\",\n \"isGenerated\": true,\n \"order\": 1,\n \"overdriveEnabled\": true\n }\n ],\n \"waitDays\": 1\n }\n ]\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/steps");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"order\": 1,\n \"variants\": [\n {\n \"label\": \"<string>\",\n \"distributionWeight\": 50,\n \"dynamicLanguageEnabled\": true,\n \"emailContent\": \"<string>\",\n \"emailSubject\": \"<string>\",\n \"id\": \"<string>\",\n \"isGenerated\": true,\n \"order\": 1,\n \"overdriveEnabled\": true\n }\n ],\n \"waitDays\": 1\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

{
"steps": [
{
"distributionStrategy": "equal",
"id": "<string>",
"name": "<string>",
"order": 123,
"variants": [
{
"contactInformationSource": "linkedin",
"distributionWeight": 123,
"dynamicLanguageEnabled": true,
"emailContent": "<string>",
"emailSubject": "<string>",
"id": "<string>",
"isGenerated": true,
"label": "<string>",
"order": 123,
"overdriveEnabled": true,
"status": "active",
"tonality": "playful"
}
],
"waitDays": 123
}
]
}{
"data": [
{
"createdAt": "<string>",
"type": "email",
"value": "<string>"
}
],
"message": "<string>"
}{
"data": [
{
"createdAt": "<string>",
"type": "email",
"value": "<string>"
}
],
"message": "<string>"
}sequences
Update sequence steps
Update an existing sequence’s steps.
PUT
/
workspaces
/
{workspaceID}
/
sequences
/
{sequenceID}
/
steps
Update sequence steps
Authorizations
Body
application/json
Request body
Request body
Minimum array length:
1Show child attributes
Show child attributes
Response
Updated sequence steps
Show child attributes
Show child attributes
